%define anolis_release 2
Name:       xmodmap
Version:    1.0.11
Release:    %{anolis_release}%{?dist}
Summary:    utility for modifying keymaps and pointer button mappings in X

License:    MIT
URL:        https://www.x.org
Source0:    https://www.x.org/pub/individual/app/%{name}-%{version}.tar.xz

BuildRequires:  automake libtool gcc make
BuildRequires:  pkgconfig(x11) pkgconfig(xorg-macros) >= 1.8

Obsoletes:  xorg-x11-server-utils < 7.7

%description
The xmodmap program is used to edit and display the keyboard modifier
map and keymap table that are used by client applications to convert
event keycodes into keysyms. It is usually run from the user's session
startup script to configure the keyboard according to personal tastes.

%package doc
Summary: Doc files for xmodmap
Requires: xmodmap = %{version}-%{release}
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -v --install
%configure --disable-silent-rules
%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/xmodmap
%{_mandir}/man1/xmodmap.1*
%dir %{abidir}
%{abidir}/*

%files doc
%doc ChangeLog INSTALL AUTHORS README.md

%changelog
* Mon Apr 10 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.0.11-2
- optimize spec

* Tue Oct 25 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.0.11-1
- init from upstream
